Skip to navigation

POST CMS

View as Markdown

POST /api/cms/v1/cms

This method builds the CMS.

Request Header Parameters

The following header parameters apply to the TSP API and the CMS API calls.

NameTypeDescription
AuthenticationStringRequired. See
Authentication
Content-TypeStringRequired. Specifies the type of data returned in the request body. This parameter must be set to
application/json.
X-Docusign-CorrelationTokenGUIDOptional. ID used for telemetry. Docusign recommends that you set up a correlation token for all the TSP API and CMS API calls.

Request Body Parameters

This table provides descriptions of the information in the request body.

NameDescription
signatureRequired. The signature of the signed attributes hash in base64 format.
signatureAlgorithmIdentifierRequired. The base64 encoding of the DER-encoded AlgorithmIdentifier. AlgorithmIdentifier is specified in RFC 5280 §4.1.1.2 as: AlgorithmIdentifier ::= SEQUENCE { algorithm OBJECT IDENTIFIER, parameters ANY DEFINED BY algorithm OPTIONAL }
signedAttributesRequired. The signed attributes.
userCertRequired. Base 64 string of the user certificate.
hashRequired. The hash of the byte range returned by the Sign Hash Session Information request.
timestampTokenRequired. A timestamp token generated by a timestamping service.
formatRequired. At this time, the only valid value is “PADES”.

Response information

If successful, this returns the CMS as a base 64 encoded string.

NameDescription
cmsBase 64 string representing the CMS, as specified by
RFC 5652.
{
"signature": "base 64 string",
"signedAttributes": "base 64 string",
"userCert": "base 64 string",
"hash": "base 64 string",
"timestampToken": "base 64 string",
"format": "string"
}